#ifndef WBUTTON_H
#define WBUTTON_H

#include <QWidget>
#include <QLabel>

class wButton : public QWidget{
Q_OBJECT
    public:
        wButton(QWidget *parent = 0);
        void setPicEvent(QString picLeave,QString picEnterm,QString picClick);
        void setText(QString text1,QString tex2);
        void setText(QString text);
        void setFont(QFont font1,QFont font2);
        void setBlock(int value);

    private:
        void setPicture(QString picture);

        QLabel *pic;
        QLabel *option;
        QLabel *desc;
        QString picLeave;
        QString picEnter;
        QString picClick;

        QPalette option_palette1;
        QPalette option_palette2;
        QPalette desc_palette1;
        QPalette desc_palette2;

        int block;


    protected:
        bool eventFilter(QObject*, QEvent *);
        void resizeEvent ( QResizeEvent * event );

    signals:
        void clicked();


};

#endif // WBUTTON_H
