#include "wMenu.h"
#include "wButton.h"
#include "MButton.h"


wMenu::wMenu(QWidget *parent) :    QWidget(parent){
    this->setFixedSize(parent->width(),parent->height());

    wButton *b = new wButton(this);
    b->setPicEvent(":images/anwser_bg.png",":images/anwser_hover_bg.png",":images/anwser_right_bg.png");
    b->setText("  A:","Играть");
    b->setFixedSize(337,39);
    b->move(140,400);

    wButton *b2 = new wButton(this);
    b2->setPicEvent(":images/anwser_bg.png",":images/anwser_hover_bg.png",":images/anwser_right_bg.png");
    b2->setText("  B:","Правила");
    b2->setFixedSize(337,39);
    b2->move(140,445);


    wButton *b3 = new wButton(this);
    b3->setPicEvent(":images/anwser_bg.png",":images/anwser_hover_bg.png",":images/anwser_right_bg.png");
    b3->setText("  C:","Об игре");
    b3->setFixedSize(337,39);
    b3->move(494,400);

    wButton *b4 = new wButton(this);
    b4->setPicEvent(":images/anwser_bg.png",":images/anwser_hover_bg.png",":images/anwser_right_bg.png");
    b4->setText("  D:","Выход");
    b4->setFixedSize(337,39);
    b4->move(494,445);

    MButton *h = new MButton(this);
    h->setPicEvent(":images/question_bg.png","");
    h->setText("Г Л А В Н О Е   М Е Н Ю");
    h->setFixedSize(712,84);
    h->move(129.5,303);

    QLabel *logo = new QLabel(this);
    logo->setPixmap(QPixmap(":images/logo.png"));
    logo->setFixedSize(473,257);
    logo->move(249,20);

    connect(b,SIGNAL(clicked()),this,SIGNAL(clickStartGame()));
    connect(b2,SIGNAL(clicked()),this,SIGNAL(clickSetupGame()));
    connect(b3,SIGNAL(clicked()),this,SIGNAL(clickAboutGame()));
    connect(b4,SIGNAL(clicked()),this,SIGNAL(clickExitGame()));

}





